<mat-form-field>
  <label>
    <input matInput (keyup)="filterEvent($event.target.value)" placeholder="Поиск">
  </label>
</mat-form-field>
<table mat-table [dataSource]="dataSource" matSort matSortDisableClear class="mat-elevation-z8">

  <ng-container matColumnDef="date_writing">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Дата создания</th>
    <td mat-cell *matCellDef="let element"> {{element.date_update}} </td>
  </ng-container>

  <ng-container matColumnDef="date_update">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Дата проверки</th>
    <td mat-cell *matCellDef="let element"> {{element.date_writing}} </td>
  </ng-container>

  <ng-container matColumnDef="status">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Статус</th>
    <td mat-cell *matCellDef="let element" style="cursor: pointer" (click)="goToRegisterDriver(element)">
      <div [class.approved]="element.status==2" [class.canceled]="element.status==1"
           [class.waiting_moder]="element.status==3">
        {{element.status_text}}
      </div>
    </td>
  </ng-container>

  <ng-container matColumnDef="phone">
    <th mat-header-cell *matHeaderCellDef> Телефон</th>
    <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
  </ng-container>

  <ng-container matColumnDef="fio">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> ФИО</th>
    <td mat-cell *matCellDef="let element"> {{element.fio}} </td>
  </ng-container>

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID</th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<mat-paginator [length]="length"
               [pageSize]="pageSize"
               [pageSizeOptions]="pageSizeOptions">
</mat-paginator>
